%define _name xmms-mad

Name: xmms-in-mad
Version: 0.8
Release: alt1

Summary: xmms-mad is an input plugin for xmms that uses libmad.
Summary(ru_RU.KOI8-R): xmms-mad - plugin  xmms,  libmad
Group: Sound
License: GPL
Url: http://xmms-mad.sourceforge.net/
Source: %_name-%version.tar.bz2
Patch: xmms-mad-wave_header_check_fix.patch

Obsoletes: xmms-mad
Provides: xmms-mad = %version-%release

Requires: xmms

# Automatically added by buildreq on Tue Jul 13 2004
BuildRequires: XFree86-devel gcc-c++ glib-devel glib2 gtk+-devel libid3tag-devel libmad-devel libstdc++-devel libxmms-devel pkgconfig

%description
xmms-mad is an input plugin for xmms that uses libmad to decode MPEG2 layer 1/2/3 files and streams.

%description -l ru_RU.KOI8-R
xmms-mad - plugin  xmms,  libmad   MPEG2 layer 1/2/3   .


%define _xmms_input_plugin_dir %(xmms-config --input-plugin-dir)

%prep
%setup -q -n %_name-%version
%patch -p1

%build
%configure
%make_build

%install
%make DESTDIR=%buildroot install

# remove non-packaged files
%__rm -f %buildroot%_xmms_input_plugin_dir/*.la

%files
%_xmms_input_plugin_dir/*.so
%doc AUTHORS ChangeLog NEWS README COPYING

%changelog
* Sat Feb 19 2005 LAKostis <lakostis at altlinux.ru> 0.8-alt1
- 0.8.

* Sat Feb 19 2005 LAKostis <lakostis at altlinux.ru> 0.7-alt1.1
- add patch for correct wave header checks (adopted from xmms source).

* Fri Dec 24 2004 LAKostis <lakostis at altlinux.ru> 0.7-alt1
- 0.7.

* Tue Jul 13 2004 Alexander V. Denisov <rupor at altlinux dot ru> 0.6-alt1
- Finally fixed fast playtime calculation (i hope)
- Use autoreconf in bootstrap

* Wed May 19 2004 Alexander V. Denisov <rupor at altlinux dot ru> 0.5.7-alt1
- implement simple config dialog
- when fast playtime calculation is enabled, dedode the first 10 frames only		  

* Wed Mar 31 2004 Alexander V. Denisov <rupor at altlinux dot ru> 0.5.6-alt1
- Initial build for Sisyphus
